version: '3'

services:
  reverse-proxy:
    image: traefik:2.8
    restart: unless-stopped
    command: 
      - --providers.docker
      - --providers.docker.exposedbydefault=false
      - --entryPoints.http.address=:80
      - --entryPoints.https.address=:443
      - --certificatesResolvers.myresolver.acme.email=admin@flipdot.org
      - --certificatesResolvers.myresolver.acme.storage=acme.json
      - --certificatesresolvers.myresolver.acme.tlschallenge=true
      - --global.sendAnonymousUsage=false
#      - --log.level=DEBUG
#      - --accesslog
    labels:
      traefik.enable: "true"
      traefik.http.routers.http-catchall.rule: "hostregexp(`{host:.+}`)"
      traefik.http.routers.http-catchall.entrypoints: "http"
      traefik.http.routers.http-catchall.middlewares: "redirect-to-https@docker"
      traefik.http.middlewares.redirect-to-https.redirectscheme.scheme: "https"
    networks:
      - web
    ports:
      - "80:80"
      - "443:443"
    volumes:
      # So that Traefik can listen to the Docker events
      - /var/run/docker.sock:/var/run/docker.sock:ro

networks:
  web:
    external: true
